"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "RSCPathnameNormalizer", {
    enumerable: true,
    get: function() {
        return RSCPathnameNormalizer;
    }
});
const _constants = require("../../../../lib/constants");
const _suffix = require("./suffix");
class RSCPathnameNormalizer {
    constructor(hasAppDir){
        this.hasAppDir = hasAppDir;
        this.suffix = new _suffix.SuffixPathnameNormalizer(_constants.RSC_SUFFIX);
    }
    match(pathname) {
        // If there's no app directory, we don't match.
        if (!this.hasAppDir) return false;
        return this.suffix.match(pathname);
    }
    normalize(pathname, matched) {
        // If there's no app directory, we don't need to normalize.
        if (!this.hasAppDir) return pathname;
        return this.suffix.normalize(pathname, matched);
    }
}

//# sourceMappingURL=rsc.js.map